[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[Patches] Update elf/tst-rtld-load-self test for cross-testing
- To: <patches@xxxxxxxxxx>
- Subject: [Patches] Update elf/tst-rtld-load-self test for cross-testing
- From: "Joseph S. Myers" <joseph@xxxxxxxxxxxxxxxx>
- Date: Wed, 10 Oct 2012 21:17:25 +0000
I've applied this patch to use cross-testing wrappers for the recently
added elf/tst-rtld-load-self test.
Index: ChangeLog.eglibc
===================================================================
--- ChangeLog.eglibc (revision 21111)
+++ ChangeLog.eglibc (working copy)
@@ -1,3 +1,9 @@
+2012-10-10 Joseph Myers <joseph@xxxxxxxxxxxxxxxx>
+
+ * elf/Makefile ($(objpfx)tst-rtld-load-self.out): Pass
+ $(cross-test-wrapper) and $(..)scripts/run-with-env.sh to script.
+ * elf/tst-rtld-load-self.sh: Use wrappers to run dynamic linker.
+
2012-09-27 Joseph Myers <joseph@xxxxxxxxxxxxxxxx>
* bits/predefs.h, ports/sysdeps/arm/bits/predefs.h: Put
Index: elf/Makefile
===================================================================
--- elf/Makefile (revision 21111)
+++ elf/Makefile (working copy)
@@ -721,7 +721,7 @@
$(..)scripts/run-with-env.sh
$(objpfx)tst-rtld-load-self.out: tst-rtld-load-self.sh $(objpfx)ld.so
- $(SHELL) $^ > $@
+ $(SHELL) $^ "$(cross-test-wrapper)" $(..)scripts/run-with-env.sh > $@
$(objpfx)initfirst: $(libdl)
$(objpfx)initfirst.out: $(objpfx)firstobj.so
Index: elf/tst-rtld-load-self.sh
===================================================================
--- elf/tst-rtld-load-self.sh (revision 21111)
+++ elf/tst-rtld-load-self.sh (working copy)
@@ -21,25 +21,28 @@
set -e
rtld=$1
+cross_test_wrapper="$2"
+run_with_env="$3"
result=0
echo '# normal mode'
-$rtld $rtld 2>&1 && rc=0 || rc=$?
+${cross_test_wrapper} $rtld $rtld 2>&1 && rc=0 || rc=$?
echo "# exit status $rc"
test $rc -le 127 || result=1
echo '# list mode'
-$rtld --list $rtld 2>&1 && rc=0 || rc=$?
+${cross_test_wrapper} $rtld --list $rtld 2>&1 && rc=0 || rc=$?
echo "# exit status $rc"
test $rc -eq 0 || result=1
echo '# verify mode'
-$rtld --verify $rtld 2>&1 && rc=0 || rc=$?
+${cross_test_wrapper} $rtld --verify $rtld 2>&1 && rc=0 || rc=$?
echo "# exit status $rc"
test $rc -eq 2 || result=1
echo '# trace mode'
-LD_TRACE_LOADED_OBJECTS=1 $rtld $rtld 2>&1 && rc=0 || rc=$?
+EGLIBC_LD_TRACE_LOADED_OBJECTS=1 ${cross_test_wrapper} ${run_with_env} \
+ $rtld $rtld 2>&1 && rc=0 || rc=$?
echo "# exit status $rc"
test $rc -eq 0 || result=1
--
Joseph S. Myers
joseph@xxxxxxxxxxxxxxxx
_______________________________________________
Patches mailing list
Patches@xxxxxxxxxx
http://eglibc.org/cgi-bin/mailman/listinfo/patches